### Class

# Nautilus PropertiesItem

#### Description [src]

    final class Nautilus.PropertiesItem : GObject.Object
    {
      /* No available fields */
    }

A single element in a file’s properties.

A file’s properties will consist of one or more `NautilusPropertiesItem`. Each item is a name/value pair. Items are added to their corresponding `NautilusPropertiesModel:model`.

#### Ancestors

- GObject

#### Constructors

###### nautilus_properties_item_new

Create a new `NautilusPropertiesItem`.

#### Instance methods

###### nautilus_properties_item_get_name

Get the name.

###### nautilus_properties_item_get_value

Get the value.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Nautilus.PropertiesItem:name

The user-visible name.

###### Nautilus.PropertiesItem:value

The user-visible value.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct NautilusPropertiesItemClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.